using System;
using System.Collections.Generic;
using System.Web;
using System.Text;
using bizFacade;
using System.Data;
//using SystemFramework;


namespace MesWebFun_MateriallPull
{
    public partial class MesWebFun_MateriallPull
    {
        public static string MateriallFuctionRequstBase(string cmd, string opName)
        {
            string responseText = "";
            switch (cmd)
            {
                case "AMES_getMaterialInfo":
                    responseText = Init_WorkStationMaterial(opName);
                    break;
                //--------物料拉动-批次接收-----
                case "AMES_InitMaterial_Dialog_MaterialNum":
                    responseText = InitMaterial_Dialog_MaterialNum(opName);
                    break;
                //case "AMES_getMaterialNumInfo":
                //    responseText = getMaterialNumInfo(opName);
                //    break;
                //--------物料拉动-库存盘点-----
                case "AMES_Init_MaterialNum_Combobox":
                    responseText = Init_MaterialNum_Combobox(opName);
                    break;
                //case "AMES_ConsumeStockCount":
                //    responseText = Consume_stockcount(opName);
                //    break;
                //case "AMES_initStockCount":
                //    responseText = initStockCount(opName);
                //    break;
                case "AMES_Init_Final_OrderNumber_Combobox":
                    responseText = Init_Final_OrderNumber_Combobox();
                    break;
                //--------物料拉动-FTT-----
                case "AMES_Init_FinalList_Combobox":
                    responseText = Init_FinalList_Combobox(opName);
                    break;
                case "AMES_Init_DefectCode_Combobox":
                    responseText = Init_DefectCode_Combobox(opName);
                    break;
                //case "AMES_Insert_FTT_Informatinon":
                //    responseText = Insert_FTT_Informatinon(opName);
                //    break;
                //case "AMES_Insert_FTT_Confirm":
                //    responseText = Insert_FTT_Confirm(opName);
                //    break;
                case "AMES_ConvertOpname_Ftt":
                    responseText = ConvertOpname_Ftt(opName);
                    break;
                //--------物料拉动-打卡上线-----
                case "AMES_GetClasses":
                    responseText = GetClasses();
                    break;     
                case "AMES_Confirmclasses":
                    responseText = Confirmclasses();
                    break;
                case "AMES_initOnline":
                    responseText = initOnline(opName);
                    break;
                //case "AMES_WorkingHours_OnlineInfo":
                //    responseText = WorkingHours_OnlineInfo(opName);
                //    break;
                ////工时补录
                //case "AMES_OrderNum_Query":
                //    responseText = OrderNum_Query();
                //    break;
                //case "AMES_init_WorkTime":
                //    responseText = init_WorkTime(opName);
                //    break;
                //case "AMES_Worktime_completeCount":
                //    responseText = Worktime_completeCount();
                //    break;
                //case "AMES_init_Statistics":
                //    responseText = init_Statistics(opName);
                //    break;
                //case "AMES_Confirm_Person":
                //    responseText = Confirm_Person();
                //    break;
                //case "AMES_Init_OrderNum_data":
                //    responseText = Init_OrderNum_data();
                //    break;
                ////班次名称查询
                //case "AMES_SelectClassCode":
                //    responseText = ClassesCodeSelect();
                //    break;
                ////工时补录增加
                //case "AMES_Insert_WorkTime":
                //    responseText = Insert_WorkTime(opName);
                //    break;
                ////--------物料拉动-配送单接收-----
                //case "AMES_receiveDistributionOrder":
                //    responseText = ReceiveDistributionOrder();
                //    break;
                //--------物料拉动-直供上线-----
                //case "AMES_initDirectUpload":
                //    responseText = initDirectUpload(opName,);
                //    break;
                //case "AMES_directUpload_Verify":
                //    responseText = DirectUpload_Verify(opName,,);
                //    break;
                //case "AMES_directUpload_Barcode_Verify_OK":
                //    responseText = DirectUpload_Barcode_Verify_OK(opName,);
                //    break;
            }
            return responseText;
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }

    }
}
